

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>SmartRecruiting back &mdash; SmartRecruiting back v2 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Installation" href="install.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="#" class="icon icon-home"> SmartRecruiting back
          

          
          </a>

          
            
            
              <div class="version">
                v2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributing</a></li>
<li class="toctree-l1"><a class="reference internal" href="documentation.html">Backend documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">SmartRecruiting back</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="#">Docs</a> &raquo;</li>
        
      <li>SmartRecruiting back</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="smartrecruiting-back">
<h1>SmartRecruiting back<a class="headerlink" href="#smartrecruiting-back" title="Permalink to this headline">¶</a></h1>
<p>Documentation use reStructuredText, see <a class="reference external" href="http://docutils.sourceforge.net/docs/user/rst/quickref.html">documention syntax</a>.</p>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="install.html#id1">Installation</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#required-files">Required files</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#launch">Launch</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributing</a><ul>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#code-conventions">Code conventions</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#documentation">Documentation</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#unit-testing">Unit testing</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="documentation.html">Backend documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="backend_doc/deeplearning.html">Deeplearning</a><ul>
<li class="toctree-l3"><a class="reference internal" href="backend_doc/preprocess.html">Preprocess</a><ul>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/preprocess.html#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/preprocess.html#todo">TODO</a></li>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/preprocess.html#updates-v2">Updates (v2)</a></li>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/preprocess.html#useful-resources">Useful resources</a></li>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/preprocess.html#code-documentation">Code documentation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/preprocess.html#module-SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess"><code class="docutils literal notranslate"><span class="pre">preprocess.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/preprocess.html#module-SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler"><code class="docutils literal notranslate"><span class="pre">database_handler.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/preprocess.html#module-SmartRecruiting_BackEnd.deeplearning.preprocess.utils"><code class="docutils literal notranslate"><span class="pre">utils.py</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="backend_doc/cnn.html">CNN</a><ul>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/cnn.html#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/cnn.html#todo">TODO</a></li>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/cnn.html#code-documentation">Code documentation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/cnn.html#module-SmartRecruiting_BackEnd.deeplearning.cnn.train"><code class="docutils literal notranslate"><span class="pre">train.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/cnn.html#module-SmartRecruiting_BackEnd.deeplearning.cnn.Model"><code class="docutils literal notranslate"><span class="pre">Model.py</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="backend_doc/data.html">Data</a><ul>
<li class="toctree-l3"><a class="reference internal" href="backend_doc/data.html#module-SmartRecruiting_BackEnd.data.models"><code class="docutils literal notranslate"><span class="pre">models.py</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="backend_doc/data.html#module-SmartRecruiting_BackEnd.data.models"><code class="docutils literal notranslate"><span class="pre">database.py</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="backend_doc/data.html#managers">Managers</a><ul>
<li class="toctree-l4"><a class="reference internal" href="backend_doc/managers.html">Managers</a><ul>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/managers.html#manager-py"><code class="docutils literal notranslate"><span class="pre">manager.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/managers.html#offer-manager-py"><code class="docutils literal notranslate"><span class="pre">offer_manager.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/managers.html#user-manager-py"><code class="docutils literal notranslate"><span class="pre">user_manager.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/managers.html#prediction-manager-py"><code class="docutils literal notranslate"><span class="pre">prediction_manager.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/managers.html#field-manager-py"><code class="docutils literal notranslate"><span class="pre">field_manager.py</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="backend_doc/managers.html#contact-manager-py"><code class="docutils literal notranslate"><span class="pre">contact_manager.py</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="backend_doc/api.html">API</a><ul>
<li class="toctree-l3"><a class="reference internal" href="backend_doc/api.html#module-SmartRecruiting_BackEnd.api.routes"><code class="docutils literal notranslate"><span class="pre">routes.py</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></li>
<li><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></li>
<li><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></li>
</ul>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="install.html" class="btn btn-neutral float-right" title="Installation" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Projet 21

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>